Support » Plugins and Hacks » Fatal error activating plugins in WP 2.1

  • When I go to activate any plugins in WP 2.1, I get the following error, or one similar with a different line of code:

    Warning: main(/home/content/u/n/g/ungeekit/html/wp-content/plugins/amm/amm_constants.php): failed to open stream: No such file or directory in /home/content/u/n/g/ungeekit/html/wp-content/plugins/widgets/amm.php on line 17

    Fatal error: main(): Failed opening required ‘/home/content/u/n/g/ungeekit/html/wp-content/plugins/amm/amm_constants.php’ (include_path=’.:/usr/local/lib/php’) in /home/content/u/n/g/ungeekit/html/wp-content/plugins/widgets/amm.php on line 17

    I’m using WP 2.1 – I have validated the version since wrong WP version seems to be a recurring theme – installed by GoDaddy. I was able to install some plugins, I have Automattic Widgets activated, but in the last few days no activation seems to be successful.

    After the above error, I can not access any wp-admin features until I delete the php file for the plugin I tried to activate.

    Any ideas?

Viewing 1 replies (of 1 total)
  • Seems like the “amm” plugin wants you to put it specifically in the …/plugins/amm directory.

    Not all widget plugins have to go into the widgets directory. Read the documentation for each plugin, they may have different requirements.

Viewing 1 replies (of 1 total)
  • The topic ‘Fatal error activating plugins in WP 2.1’ is closed to new replies.